Opened 5 years ago

Closed 5 years ago

#48313 closed submission (fixed)

add subports for Perl 5.22

Reported by: mojca (Mojca Miklavec) Owned by: mojca (Mojca Miklavec)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: dbevans (David B. Evans)
Port:

Description (last modified by mojca (Mojca Miklavec))

I'm opening this ticket to track support for p5.22-[modulename] subports (as a follow-up on #46005).

Attachments (1)

add-perl-5.22.py (1.1 KB) - added by mojca (Mojca Miklavec) 5 years ago.
A simple script to add 5.22 to the end of perl5.branches

Download all attachments as: .zip

Change History (11)

Changed 5 years ago by mojca (Mojca Miklavec)

Attachment: add-perl-5.22.py added

A simple script to add 5.22 to the end of perl5.branches

comment:1 Changed 5 years ago by mojca (Mojca Miklavec)

I committed r138528 with a few exceptions:

  • known problems:
  • obsolete ports, to be removed after 2016-01-02:
    • p5-class-mop
    • p5-json-pp
    • p5-class-mop
    • p5-email-mime-modifier
Version 0, edited 5 years ago by mojca (Mojca Miklavec) (next)

comment:2 Changed 5 years ago by mojca (Mojca Miklavec)

Description: modified (diff)

comment:3 Changed 5 years ago by mojca (Mojca Miklavec)

I closed #46005, even though we might still look into the list of inactive maintainers.

David, in case that you are willing to write a short summary about the progress and open problems, feel free to do so. (Otherwise we might be pretty close to closing this ticket anyway.)

comment:4 Changed 5 years ago by dbevans (David B. Evans)

As of the updating of ieffit (r138658) and p5-ieffit (r138659), I count that there are only two "hard cases" left. These are p5-data-alias and p5-net-cups.

Of the ports that have been fixed, the largest group were ones that used Build.PL to build but didn't declare perl5.use_module_build. These worked for perl5.20 and below because Module::Build was in core but it has been dropped in perl5.22. Now its use in these cases is mandatory.

The next largest category involved modules that build binary XS bundles and failed because of API changes in libperl 5.22.

Most of the rest were modules that were dependent on a port in one of the first two categories.

Status of remaining cases:

  • p5-data-alias: a victim of libperl 5.22 API changes. There was work upstream to fix this during the 5.21 cycle but it seems to have stalled CPAN bug #98758. The module was last updated on CPAN 21 Sep 2013 and has no MacPorts dependents.
  • p5-net-cups: this port has been broken for some time due to changes introduced in the CUPS 1.6 API. This makes it useless for most recent OS X versions. The problem is not Perl version specific (#35899). There have been some attempts to fix this upstream without complete success. It basically needs to be rewritten to follow the newer API and drop the filter features that are no longer maintained by Apple but are now part of the Linux package cups-filters. Last updated on CPAN on 18 Aug 2009 and maintainer has reported he is no longer using Perl CPAN bug #85488. No current MacPorts dependents.

Absent any upstream breakthroughs, I recommend that these be removed from MacPorts.

Otherwise, I see no reason not to close this ticket.

comment:5 Changed 5 years ago by mojca (Mojca Miklavec)

No current MacPorts dependents of p5-net-cups is a consequence of its brokenness. It seems that auto-multiple-choice would have depended on it if it worked (also judging by the number of people subscribed to the other ticket):

long_description        ...
                        This version can't print directly with CUPS. User should set \
                        "Printing method" to "file" or "command" in preferences. \
                        "file" method produce PDF files that could be printed from OS X.

But I see no chance to get this fixed in any near future unless someone "rewrites" the software, so I'm inclined towards a removal as well. I would just leave a note in #35899 first.

As for p5-data-alias, it doesn't look as pessimistic as cups, given that it works with 5.20 and that patches have been posted very recently.

comment:6 Changed 5 years ago by mojca (Mojca Miklavec)

See also #48365.

comment:7 in reply to:  5 Changed 5 years ago by dbevans (David B. Evans)

Replying to mojca@…:

As for p5-data-alias, it doesn't look as pessimistic as cups, given that it works with 5.20 and that patches have been posted very recently.

OK, in that case, we can just revert the 5.22 perl branch until the problem is fixed upstream. Done in r138679

comment:8 Changed 5 years ago by mojca (Mojca Miklavec)

p5-data-alias upgraded and fixed in r141749.

comment:9 Changed 5 years ago by mojca (Mojca Miklavec)

I removed p5-test-unit in r141750 and p5-net-cups in r141751.

comment:10 Changed 5 years ago by mojca (Mojca Miklavec)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.